package com.xinyilu.system.domain.vo.testItemAvgScore;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @author ljh
 * @version 1.0
 * Create by 2022/8/17 13:27
 */

@Data
public class TestItemAvgScoreClassVO implements Serializable {
    private static final long serialVersionUID = 1294470745579515010L;
    /**
     * 分类id
     */
    private Long parentId;

    /**
     * 分类名称
     */
    private String parentName;

    /**
     * 分类项目的id
     */
    private Long categoryId;

    /**
     * 分类项目的名称
     */
    private String categoryName;
    /**
     * 分类项目的子名称
     */
    private String categoryNameAbbreviate;
    /**
     * 班级名称
     */
    private String className;
    /**
     * 班级的类型
     */
    private String classType;

    /**
     * 本班级每个项目分数的平均分
     */
    private BigDecimal avgScore;

    /**
     * 学生的id
     */
    private Long studentId;

    /**
     * 班级的id
     */
    private Long classId;

    /**
     * 项目的id
     */
    private Long testItemId;

    /**
     * 项目的名称
     */
    private String itemName;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        TestItemAvgScoreClassVO scoreVO = (TestItemAvgScoreClassVO) o;
        return Objects.equals(categoryId, scoreVO.categoryId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(categoryId);
    }
}
